Bug 146908 - "Edit a print queue" hangs for Panasonic KX-P1124i
"Edit a print queue" hangs for Panasonic KX-P1124i
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 12:51 EST by Robert Nichols
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.6.121-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-03 11:34:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Nichols 2005-02-02 12:51:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
When editing an existing print queue and attempting to change the
driver either from or to Panasonic KX-P1124i, clicking on "OK" in the
"Edit a print queue" dialog just causes the dialog box to become
unresponsive to any button clicks.

Version-Release number of selected component (if applicable):
system-config-printer-0.6.116.1-1

How reproducible:
Always

Steps to Reproduce:
1.  Using system-config-printer, create a new print queue for a
locally connected printer on /dev/lp? using driver for Panasonic model
KX-P1124i.
2.  Click on "Apply" to install the changes.
3.  Select the newly created queue and click on "Edit".
4.  Under the "Printer driver" tab, select any other driver and click
on "OK"
    

Actual Results:  Nothing happens.  The dialog box remains displayed
and is unresponsive to any further button presses.

Expected Results:  The dialog box should disappear, returning control
to the "Printer configuration" dialog.

Additional info:

  By running system-config-printer from a terminal window, the
following messages can be seen when "OK" is clicked:

  Traceback (most recent call last):
    File "/usr/share/printconf/util/queueTree.py", line 600, in
edit_button_clicked
      if self.editQueue.editQueueDialog (iter):
    File "/usr/share/printconf/util/editQueue.py", line 452, in
editQueueDialog
      self.read_driver_options ()
    File "/usr/share/printconf/util/editQueue.py", line 1014, in
read_driver_options
      dict[key] = store.get_value (iter, 1)
  TypeError: iter must be a GtkTreeIter
Comment 1 Tim Waugh 2005-02-03 04:39:23 EST
Please clarify what you mean by "select any other driver" -- there are no other
options in the Available Drivers drop-down box, and if I select a different
printer model I don't see the problem you do.
Comment 2 Robert Nichols 2005-02-03 10:12:10 EST
Sorry, I should have said, "select any other model".  It appears that the
sequence to provoke the problem reliably is a little longer:

1.   From a terminal window with a root shell, execute system-config-printer and
create a new print queue for a locally connected printer on /dev/lp? using the
driver for Panasonic model KX-P1124i.
2.  Click on "Apply" to install the changes.
3.  Select the newly created queue and click on "Edit".
4.  Under the "Printer driver" tab, select model KX-P1124 and click
on "OK".
5.  Click on "Apply" to install the changes.
6.  Select the newly created queue and click on "Edit".
7.  Under the "Printer driver" tab, select model KX-P1124i and click
on "OK".

At this point the error messages appear in the terminal window, and the Edit
dialog becomes unresponsive.  Even if I run system-config-printer again and try
to edit this queue, the model cannot be changed.  The only way to clean up is to
delete the queue.
Comment 3 Tim Waugh 2005-02-03 11:27:10 EST
Okay, I see it now.

Fixed in CVS.  Thanks.
Comment 4 Tim Waugh 2005-02-03 11:34:32 EST
Workaround is to change to the driver options and select a page size in the
"Form" field before clicking OK.

Note You need to log in before you can comment on or make changes to this bug.